Bug 1419346

Summary: upgrade from vmlinuz-4.9.5-100 -> vmlinuz-4.9.6-100 resets user preferences (white on black now)
Product: [Fedora] Fedora Reporter: Ray Holme <rayholme>
Component: xorg-x11-serverAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 24CC: ofourdan, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-08 19:37:57 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ray Holme 2017-02-05 16:51:14 UTC
Description of problem: Upgraded 2 systems to 4.9.6, both went to ALL tools being white on black instead of black on white. Apologies if I picked the wrong component but I really don't know which to say.


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. upgrade 
2. reboot
3.

Actual results: Even if I go back to 4.9.5, the colors are now inverted.


Expected results: No changes expected.


Additional info: I suspect there is a way to fix this in preferences but I have no clue as to how to do it. I tried to find it.

Comment 1 Ray Holme 2017-02-06 14:53:46 UTC
OK, something about this last update changed my theme preferences to ARC-DARK (main menu preferernces->themes)

 I changed lots of things back to ADWAITA (whatever that is) and most things got a lot better.

My terminal is still white on black but that is fine. I see I could over-ride that and make it something else using preferences edits on the tool itself.

Ahh - good to see again.

So, the real bug is: "why did the upgrade do this?"

Comment 2 Fedora End Of Life 2017-07-26 00:14:41 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 19:37:57 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.